/**
 ****************************************************************************
 * @file:	 usercon.h
 * @brief:	 User control
 * @version  V1.1
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *****************************************************************************
 */
#ifndef _USERCON_H
#define _USERCON_H

#undef EXTERN
#ifdef DEFINE_APP
#define EXTERN
#else
#define EXTERN  extern
#endif

/*****************************************************************
	Define for Software & Hardware setting
******************************************************************/

#define TP_PD0					(TSB_PD_DATA_PD0)
#define TP_PD1					(TSB_PD_DATA_PD1)
#define TP_PD2					(TSB_PD_DATA_PD2)

#define	TP_PD0_LOW				TP_PD0 = 0
#define	TP_PD0_HIGH				TP_PD0 = 1
#define	TP_PD0_CPL				TP_PD0 ^=1

#define	TP_PD1_LOW				TP_PD1 = 0
#define	TP_PD1_HIGH				TP_PD1 = 1
#define	TP_PD1_CPL				TP_PD1 ^=1

#define	TP_PD2_LOW				TP_PD2 = 0
#define	TP_PD2_HIGH				TP_PD2 = 1
#define	TP_PD2_CPL				TP_PD2 ^=1



#define TP_IDET_LOW				TP_PD0_LOW
#define TP_IDET_HIGH			TP_PD0_HIGH


/*===================================================================*
	Define Typedef
*===================================================================*/
typedef struct
{
	uint8_t	sw1	: 1;
	uint8_t	sw2	: 1;
	uint8_t	sw3	: 1;
	uint8_t	sw4	: 1;
	uint8_t	sw5	: 1;
	uint8_t	sw6	: 1;
	uint8_t	sw7	: 1;
	uint8_t	sw8	: 1;
} sw_t;


typedef struct
{
	ADC_Result		rawdat;
	uint8_t			avecnt;
	uint16_t		maxdat;
	uint16_t		mindat;
	uint32_t		sumdat;
	uint16_t		avedat;
} addat_t;


typedef enum
{
    PSW_OFF		= 0,
    PSW_1		= 1,
    PSW_2		= 2,
    PSW_3		= 3,
    PSW_4		= 4
} adkeycode_e;


/*===================================================================*
      Proto Type Definition
 *===================================================================*/
EXTERN	void	init_user_control(void);
EXTERN	void	user_control(void);
EXTERN	void	init_TP(void);
EXTERN	void	init_NBD(void);

EXTERN	void	UiOutDataStartByVE(uint8_t	_intch);
EXTERN	void	UiOutDataStart(uint8_t	_intch);

EXTERN	void INT_uart0tx(void);

/*===================================================================*
	Variable Definition
 *===================================================================*/

#undef EXTERN
#endif

/******************************** END OF FILE *********************************/
